com.fasterxml.jackson.databind.JsonMappingException

Jackson version is too old 2.5.3

Solutions on the web93

  • Jackson version is too old 2.5.3
  • Jackson version is too old 2.4.3
  • Jackson version is too old 2.4.4
  • Stack trace

    • com.fasterxml.jackson.databind.JsonMappingException: Jackson version is too old 2.5.3 at com.fasterxml.jackson.module.scala.JacksonModule$class.setupModule(JacksonModule.scala:56) at com.fasterxml.jackson.module.scala.DefaultScalaModule.setupModule(DefaultScalaModule.scala:19) at com.fasterxml.jackson.databind.ObjectMapper.registerModule(ObjectMapper.java:651) at org.apache.spark.rdd.RDDOperationScope$.<init>(RDDOperationScope.scala:82) at org.apache.spark.rdd.RDDOperationScope$.<clinit>(RDDOperationScope.scala) at org.apache.spark.streaming.StreamingContext.withNamedScope(StreamingContext.scala:273) at org.apache.spark.streaming.StreamingContext.textFileStream(StreamingContext.scala:413)

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    Unknown user
    2 times, 9 months ago
    Once, 1 year ago